LSLOCKS(8)

NAME
lslocks - list local system locks

SYNOPSIS

lslocks [options]

DESCRIPTION

lslocks lists information about all the currently held file locks in a Linux system.

OPTIONS

-b, --bytes
    Print the sizes in bytes rather than in a human-readable format.

    By default, the unit, sizes are expressed in, is byte, and unit prefixes are in power of 2^10 (1024). Abbreviations of symbols are exhibited truncated in order to reach a better readability, by exhibiting alone the first letter of them; examples: "1 KiB" and "1 MiB" are respectively exhibited as "1 K" and "1 M", then omitting on purpose the mention "iB", which is part of these abbreviations.

-H, --list-columns
    List the available columns, use with --json or --raw to get output in machine-readable format.

-i, --noinaccessible
    Ignore lock files which are inaccessible for the current user.

-J, --json
    Use JSON output format.

-n, --noheadings
    Do not print a header line.

-o, --output list
    Specify which output columns to print. Use --help to get a list of all supported columns.

    The default list of columns may be extended if list is specified in the format +list (e.g., lslocks -o +BLOCKER).

--output-all
    Output all available columns.

-p, --pid pid
    Display only the locks held by the process with this pid.

-r, --raw
    Use the raw output format.

-u, --notruncate
    Do not truncate text in columns.

-h, --help
    Display help text and exit.

-V, --version
    Print version and exit.

OUTPUT

COMMAND
    The command name of the process holding the lock.

PID
    The process ID of the process.

TYPE
    The type of lock; can be LEASE (created with fcntl(2)), FLOCK (created with flock(2)), POSIX (created with fcntl(2) and lockf(3)) or OFDLCK (created with fcntl(2)).

SIZE
    Size of the locked file.

INODE
    The inode number.

MAJ:MIN
    The major:minor device number.

MODE
    The lock’s access permissions (read, write). If the process is blocked and waiting for the lock, then the mode is postfixed with an '*' (asterisk).

M
    Whether the lock is mandatory; 0 means no (meaning the lock is only advisory), 1 means yes. (See fcntl(2).)

START
    Relative byte offset of the lock.

END
    Ending offset of the lock.

PATH
    Full path of the lock. If none is found, or there are no permissions to read the path, it will fall back to the device’s mountpoint and "..." is appended to the path. The path might be truncated; use --notruncate to get the full path.

BLOCKER
    The PID of the process which blocks the lock.

HOLDERS
    The holder(s) of the lock. The format of the holder is PID,COMMAND,FD. If a lock is an open file description-oriented lock, there can be more than one holder for the lock. See the NOTES below.

NOTES

The lslocks command is meant to replace the lslk(8) command, originally written by and unmaintained since 2001.

"The process holding the lock" for leases, FLOCK locks, and OFD locks is a fake-concept. They are associated with the open file description on which they are acquired. With fork(2) and/or cmsg(3), multiple processes can share an open file description. So the holder process of a lease (or a lock) is not uniquely determined. lslocks shows the one of the holder processes in COMMAND and PID columns.

AUTHORS

SEE ALSO

flock(1), fcntl(2), lockf(3)

REPORTING BUGS

For bug reports, use the issue tracker at

AVAILABILITY

The lslocks command is part of the util-linux package which can be downloaded from